Support for legacy clients will be phased out in 1 month

Legacy clients will be retired on August 12, 2013

As we approach the 1st anniversary of the Watchful launch, it’s fair to say that like most new services, things have been changing rapidly and improving steadily. 

Of course we’ve made a few errors along the way. And as a result we’ve learned quite a lot about our customers and also a lot about Joomla and Joomla extensions.

One of the most difficult lessons we learned was that upgrading extensions is <em>hard. Really, really hard. 

This is important to the Watchful team as one of the pillars of our service is the ability to manage extensions that do not support (or fully support) the native Joomla updater that ships with Joomla.

Based on this and other experiences, we realized that the initial Watchful clients (version 1.3 and 1.4) were not written to accommodate everything that our customers were expecting. So we made some significant changes to both the client and our infrastructure to create version 1.5, which at the time was a major update.

Where we’re going...

As we now approach the 1-year anniversary of Watchful, I am happy to tell you that the changes we introduced in version 1.5 of the Watchful client have given us a lot more flexibility internally. As a result, we have been working hard to make Watchful faster and more powerful (more on that next week).

Of course rapid development means that you often outgrow your resources. In fact, we have reached a development stage where supporting the initial client versions is holding us back.

Thus, in one month we will retire these legacy clients permanently. 

What does that mean for you?

On August 12, any sites in your Watchful dashboard still using a client version earlier than 1.5.1 will no longer validate. To continue to manage your sites, you will need to update the Watchful client to the latest version. 

Joomla 2.5 and greater

For Joomla 2.5 and 3.x users, you can simply update all your sites from the Watchful Dashboard. If you miss the August 12th deadline, simply download install the latest version of the client using the Joomla installer.

Joomla 1.5

Joomla 1.5 users should update any sites manually by downloading the latest client and installing it in the Joomla 1.5 installer. 

Need personalized help?

Even if you have an old client past the August 12th deadline, don’t worry. You can get personalized help by submitting a ticket in our help desk.

Time to upgrade!

Good luck upgrading your Watchful clients and all your Joomla extensions.

And don’t forget to keep your eye on the Watchful newsfeed, tweet-stream and Facebook page for lots of exciting developments we have planned.


Martijn Boomsma
It's great to have as an easy, timesaving and useful tool for professional managing (many) Joomla websites. Martijn Boomsma /